%global __brp_check_rpaths %{nil}
%global packname  CVThresh
%global packver   1.1.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.2
Release:          1%{?dist}%{?buildtag}
Summary:          Level-Dependent Cross-Validation Thresholding

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.15.1
Requires:         R-core >= 2.15.1
BuildArch:        noarch
BuildRequires:    R-CRAN-wavethresh >= 4.6.1
BuildRequires:    R-CRAN-EbayesThresh >= 1.3.2
Requires:         R-CRAN-wavethresh >= 4.6.1
Requires:         R-CRAN-EbayesThresh >= 1.3.2

%description
The level-dependent cross-validation method is implemented for the
selection of thresholding value in wavelet shrinkage. This procedure is
implemented by coupling a conventional cross validation with an imputation
method due to a limitation of data length, a power of 2. It can be easily
applied to classical leave-one-out and k-fold cross validation. Since the
procedure is computationally fast, a level-dependent cross validation can
be performed for wavelet shrinkage of various data such as a data with
correlated errors.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
